RemoteGymp · API v1
Αναφορά API
Πρόσβαση και συμπεριφορά
Τα παραδείγματα αναφοράς είναι πρότυπα. Αντικαταστήστε τα σύμβολα κράτησης θέσης και ελέγξτε τις παραμέτρους, τα δικαιώματα και το σχήμα του τελικού σημείου πριν τα εκτελέσετε. Για αβέβαιες εγγραφές, ακολουθήστε τους κανόνες ανάκτησης αυτού του τελικού σημείου και δοκιμάστε ξανά.
Απαιτεί ένα διακριτικό φορέα και τα δικαιώματα του τελικού σημείου. Η πρόσβαση παραμένει περιορισμένη στο εύρος των διαπιστευτήριών σας. Ελέγξτε τις δυνατότητες πριν χρησιμοποιήσετε ενέργειες συσκευής ή διαχείρισης.
Αποτελέσματα αναζήτησης: 289
Δεν βρέθηκαν αποτελέσματα.
Απομακρυσμένες συνεδρίες13
GETΕμφάνιση περιόδων σύνδεσης των Windows/v1/devices/{deviceId}/windows-sessions
Βρείτε τις συνεδρίες των Windows διαθέσιμες για την επιλογή της διαδραστικής επιφάνειας εργασίας.
GET /v1/devices/{deviceId}/windows-sessions ↗mcp.cap.InventoryRead
Παράμετροι
deviceId· Διαδρομή · Απαιτείται- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/windows-sessions' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Find Windows sessions available for selecting the interactive desktop.",
"operationId": "get_v1_devices_deviceId_windows_sessions",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/InteractiveSessionDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List Windows sessions",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETΛίστα απομακρυσμένων συνεδριών/v1/remote-sessions
Βρείτε διατηρημένες λαβές απομακρυσμένης περιόδου λειτουργίας που ανήκουν στα διαπιστευτήριά σας.
GET /v1/remote-sessions ↗Σχήματα (OpenAPI)
SessionKind
0 = Desktop 1 = Browsing 2 = Console 3 = FileBrowser 4 = Ghost 5 = RemoteResources 6 = RemoteIpScan 7 = HyperVConsole
Παράμετροι
pageSize· Ερώτημα · προαιρετικό- Μέγιστος αριθμός στοιχείων που ζητούνται για αυτήν τη σελίδα. Τα όρια ειδικά για το τελικό σημείο ενδέχεται να μειώσουν το μέγεθος της σελίδας.
after· Ερώτημα · προαιρετικό- Θέση συνέχειας από την προηγούμενη απάντηση. Παράλειψη για την πρώτη σελίδα. κρατήστε τα ίδια φίλτρα όταν συνεχίζετε.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Find retained remote-session handles owned by your credential.",
"operationId": "get_v1_remote_sessions",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfRemoteHandleSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List remote sessions",
"tags": [
"Remote sessions"
],
"x-required-capabilities": []
}POSTΑνοίξτε μια απομακρυσμένη περίοδο λειτουργίας/v1/remote-sessions
Ζητήστε μια εξουσιοδοτημένη απομακρυσμένη συνεδρία για μια συσκευή και λάβετε μια λαβή για μετέπειτα πρόσβαση.
POST /v1/remote-sessions ↗Σχήματα (OpenAPI)
SessionKind
0 = Desktop 1 = Browsing 2 = Console 3 = FileBrowser 4 = Ghost 5 = RemoteResources 6 = RemoteIpScan 7 = HyperVConsole
Παράμετροι
Δεν υπάρχουν παράμετροι διαδρομής, ερωτήματος ή κεφαλίδας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"deviceId": "<UUID>",
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/remote-sessions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Request an authorised remote session for a device and receive a handle for subsequent access.",
"operationId": "post_v1_remote_sessions",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationRemoteOpen"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Open a remote session",
"tags": [
"Remote sessions"
]
}DELETEΚλείστε μια απομακρυσμένη περίοδο λειτουργίας/v1/remote-sessions/{handleId}
Τερματίστε την επιλεγμένη λαβή απομακρυσμένης περιόδου λειτουργίας και την πρόσβασή της.
DELETE /v1/remote-sessions/{handleId} ↗Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method DELETE `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "End the selected remote-session handle and its access.",
"operationId": "delete_v1_remote_sessions_handleId",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiRemoteClose"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Close a remote session",
"tags": [
"Remote sessions"
],
"x-required-capabilities": []
}GETΛάβετε κατάσταση απομακρυσμένης περιόδου σύνδεσης/v1/remote-sessions/{handleId}
Διαβάστε την κατάσταση μιας λαβής απομακρυσμένης περιόδου λειτουργίας πριν τη χρησιμοποιήσετε.
GET /v1/remote-sessions/{handleId} ↗Σχήματα (OpenAPI)
SessionKind
0 = Desktop 1 = Browsing 2 = Console 3 = FileBrowser 4 = Ghost 5 = RemoteResources 6 = RemoteIpScan 7 = HyperVConsole
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read the state of a remote-session handle before using it.",
"operationId": "get_v1_remote_sessions_handleId",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiRemoteSession"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get remote-session status",
"tags": [
"Remote sessions"
],
"x-required-capabilities": []
}POSTΣτείλτε μια ενέργεια απομακρυσμένης περιόδου σύνδεσης/v1/remote-sessions/{handleId}/actions
Εκτελέστε μια επιτρεπόμενη ενέργεια περιόδου λειτουργίας, όπως εργασία εισαγωγής ή αρχείου, χρησιμοποιώντας τα πεδία αιτήματος για συγκεκριμένη ενέργεια.
POST /v1/remote-sessions/{handleId}/actions ↗Σχήματα (OpenAPI)
InputEventKind
0 = MouseMove 1 = MouseButton 2 = MouseWheel 3 = Key 4 = TypeText
SessionAudioAvailability
0 = Unknown 1 = Available 2 = NoPlaybackEndpoint 3 = ProbeFailed
IntegrationRemoteActionKind
0 = Input 1 = Navigate 2 = Back 3 = Forward 4 = Clipboard 5 = ConsoleInput 6 = ConsoleResize 7 = ConsoleTabOpen 8 = ConsoleTabClose 9 = ConsoleTabInput 10 = ConsoleTabResize 11 = CreateFolder 12 = DeleteEntry 13 = RenameEntry 14 = WriteFile 15 = FocusMonitor 16 = CtrlAltDel 17 = Click
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/actions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Perform an allowed session action, such as input or file work, using the action-specific request fields.",
"operationId": "post_v1_remote_sessions_handleId_actions",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationRemoteAction"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Send a remote-session action",
"tags": [
"Remote sessions"
]
}GETΔιαβάστε το απομακρυσμένο πρόχειρο/v1/remote-sessions/{handleId}/clipboard
Διαβάστε το περιεχόμενο του προχείρου μέσω μιας περιόδου σύνδεσης με πρόσβαση στο πρόχειρο.
GET /v1/remote-sessions/{handleId}/clipboard ↗mcp.cap.ClipboardRead
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/clipboard' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read clipboard content through a session with clipboard access.",
"operationId": "get_v1_remote_sessions_handleId_clipboard",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClipboardResultDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read the remote clipboard",
"tags": [
"Remote sessions"
],
"x-required-capabilities": [
"mcp.cap.ClipboardRead"
]
}GETΛάβετε λεπτομέρειες σύνδεσης/v1/remote-sessions/{handleId}/connection
Διαβάστε τις πληροφορίες σύνδεσης για μια εξουσιοδοτημένη λαβή απομακρυσμένης περιόδου λειτουργίας.
GET /v1/remote-sessions/{handleId}/connection ↗mcp.cap.ScreenRead
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/connection' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read connection information for an authorised remote-session handle.",
"operationId": "get_v1_remote_sessions_handleId_connection",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BetaConnectionControlsDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get connection details",
"tags": [
"Remote sessions"
],
"x-required-capabilities": [
"mcp.cap.ScreenRead"
]
}GETΠροεπισκόπηση απομακρυσμένης διαγραφής/v1/remote-sessions/{handleId}/delete-preview
Επιθεωρήστε τα αρχεία και τους φακέλους που θα επηρεάσει μια προτεινόμενη διαγραφή πριν υποβάλετε την ενέργεια διαγραφής.
GET /v1/remote-sessions/{handleId}/delete-preview ↗mcp.cap.FilesRead
Σχήματα (OpenAPI)
FileEntryKind
0 = Drive 1 = Directory 2 = File
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
path· Ερώτημα · Απαιτείται- Διαδρομή στην απομακρυσμένη συσκευή, εντός του επιτρεπόμενου εύρους της περιόδου λειτουργίας του ανοιχτού αρχείου.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/delete-preview?path=<path>' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Inspect the files and folders that a proposed deletion would affect before submitting the delete action.",
"operationId": "get_v1_remote_sessions_handleId_delete_preview",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Path on the remote device, within the opened file session's permitted scope.",
"in": "query",
"name": "path",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationDeletePreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview remote deletion",
"tags": [
"Remote sessions"
],
"x-required-capabilities": [
"mcp.cap.FilesRead"
]
}GETΔιαβάστε ένα απομακρυσμένο αρχείο/v1/remote-sessions/{handleId}/file
Ανάκτηση περιεχομένου αρχείου μέσω εξουσιοδοτημένης συνεδρίας πρόσβασης σε αρχείο.
GET /v1/remote-sessions/{handleId}/file ↗mcp.cap.FilesRead
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
path· Ερώτημα · Απαιτείται- Διαδρομή στην απομακρυσμένη συσκευή, εντός του επιτρεπόμενου εύρους της περιόδου λειτουργίας του ανοιχτού αρχείου.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/file?path=<path>' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Retrieve file content through an authorised file-access session.",
"operationId": "get_v1_remote_sessions_handleId_file",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Path on the remote device, within the opened file session's permitted scope.",
"in": "query",
"name": "path",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiRemoteFile"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a remote file",
"tags": [
"Remote sessions"
],
"x-required-capabilities": [
"mcp.cap.FilesRead"
]
}GETΚαταχωρίστε έναν απομακρυσμένο φάκελο/v1/remote-sessions/{handleId}/files
Περιηγηθείτε σε έναν κατάλογο μέσω μιας εξουσιοδοτημένης περιόδου λειτουργίας πρόσβασης σε αρχείο.
GET /v1/remote-sessions/{handleId}/files ↗mcp.cap.FilesRead
Σχήματα (OpenAPI)
FileEntryKind
0 = Drive 1 = Directory 2 = File
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
path· Ερώτημα · προαιρετικό- Διαδρομή στην απομακρυσμένη συσκευή, εντός του επιτρεπόμενου εύρους της περιόδου λειτουργίας του ανοιχτού αρχείου.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/files' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Browse a directory through an authorised file-access session.",
"operationId": "get_v1_remote_sessions_handleId_files",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Path on the remote device, within the opened file session's permitted scope.",
"in": "query",
"name": "path",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/FileBrowserListingDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List a remote folder",
"tags": [
"Remote sessions"
],
"x-required-capabilities": [
"mcp.cap.FilesRead"
]
}GETΔιαβάστε μια απομακρυσμένη οθόνη/v1/remote-sessions/{handleId}/screen
Ανάγνωση δεδομένων οθόνης μέσω εξουσιοδοτημένης συνεδρίας. Αυτό μπορεί να περιέχει ευαίσθητες πληροφορίες ορατές στην επιφάνεια εργασίας.
GET /v1/remote-sessions/{handleId}/screen ↗mcp.cap.ScreenRead
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
monitorId· Ερώτημα · προαιρετικό- Αναγνωριστικό της οθόνης προς ανάγνωση ή φιλτράρισμα.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/screen' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read screen data through an authorised session. This can contain sensitive information visible on the desktop.",
"operationId": "get_v1_remote_sessions_handleId_screen",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier of the monitor to read or filter by.",
"in": "query",
"name": "monitorId",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationScreenImage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a remote screen",
"tags": [
"Remote sessions"
],
"x-required-capabilities": [
"mcp.cap.ScreenRead"
]
}GETΑνάγνωση εξόδου τερματικού/v1/remote-sessions/{handleId}/terminal
Διαβάστε την έξοδο τερματικού που σχετίζεται με την εξουσιοδοτημένη απομακρυσμένη περίοδο λειτουργίας.
GET /v1/remote-sessions/{handleId}/terminal ↗mcp.cap.TerminalRead
Παράμετροι
handleId· Διαδρομή · Απαιτείται- Αναγνωριστικό απόδειξης ανώτατου επιπέδου από το άνοιγμα της απομακρυσμένης περιόδου λειτουργίας, όχι το υποκείμενο αναγνωριστικό περιόδου λειτουργίας.
waitMilliseconds· Ερώτημα · προαιρετικό- Περιμένετε πριν διαβάσετε την έξοδο τερματικού, σε χιλιοστά του δευτερολέπτου. Ορίζεται ως προεπιλογή στο 200 και είναι συσφιγμένο στο 0–2000.
cursor· Ερώτημα · προαιρετικό- Συνέχεια δρομέα από την προηγούμενη ανάγνωση τερματικού. Παραλείψτε να ξεκινήσετε την ανάγνωση της διαθέσιμης εξόδου.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/remote-sessions/<handleId>/terminal' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read terminal output associated with the authorised remote session.",
"operationId": "get_v1_remote_sessions_handleId_terminal",
"parameters": [
{
"description": "Top-level receipt identifier from opening the remote session, not the underlying session identifier.",
"in": "path",
"name": "handleId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Wait before reading terminal output, in milliseconds. Defaults to 200 and is clamped to 0–2000.",
"in": "query",
"name": "waitMilliseconds",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation cursor from the previous terminal read. Omit to start reading available output.",
"in": "query",
"name": "cursor",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiRemoteTerminal"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read terminal output",
"tags": [
"Remote sessions"
],
"x-required-capabilities": [
"mcp.cap.TerminalRead"
]
}Ασφάλεια6
GETΛάβετε απόθεμα ασφαλείας/v1/devices/{deviceId}/security
Διαβάστε καταγεγραμμένα γεγονότα προστασίας από ιούς, τείχους προστασίας και κρυπτογράφησης. Τα μυστικά ανάκτησης αποκλείονται.
GET /v1/devices/{deviceId}/security ↗mcp.cap.SecurityRead
Σχήματα (OpenAPI)
AntivirusActionProvider
0 = MicrosoftDefender 1 = BitdefenderBest
AntivirusProductState
0 = Unknown 1 = On 2 = Off 3 = Snoozed 4 = Expired
AntivirusAction
0 = QuickScan 1 = FullScan 2 = UpdateDefinitions
Παράμετροι
deviceId· Διαδρομή · Απαιτείται- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/security' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read recorded antivirus, firewall and encryption facts. Recovery secrets are excluded.",
"operationId": "get_v1_devices_deviceId_security",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SecurityFactsResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get security inventory",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SecurityRead"
]
}POSTΕκτελέστε έλεγχο κωδικού πρόσβασης/v1/devices/{deviceId}/security/password-audit
Ζητήστε τους υποστηριζόμενους ελέγχους κωδικού πρόσβασης λογαριασμού σε μια εξουσιοδοτημένη συσκευή.
POST /v1/devices/{deviceId}/security/password-audit ↗mcp.cap.PasswordAudit
Παράμετροι
deviceId· Διαδρομή · Απαιτείται- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"administratorsOnly": true,
"expectedDomain": "<value>",
"includeDisabled": false,
"includeInactiveAccounts": false,
"inspectOnly": false,
"isValid": false,
"reportLocale": "<value>",
"reportTimeZone": "<value>",
"scope": "Local",
"serversOnly": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/security/password-audit' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Request the supported account-password checks on an authorised device.",
"operationId": "post_v1_devices_deviceId_security_password_audit",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditOptions"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditReport"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"oneOf": [
{
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
},
"requestId": {
"type": [
"null",
"string"
]
}
},
"required": [
"error",
"message"
],
"type": "object"
},
{
"properties": {
"accountsAttempted": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"accountsChecked": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"accountsExcluded": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"accountsSelected": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"checkedAtUtc": {
"format": "date-time",
"type": "string"
},
"domain": {
"type": "string"
},
"domainSid": {
"type": [
"null",
"string"
]
},
"error": {
"type": [
"null",
"string"
]
},
"findings": {
"items": {
"properties": {
"account": {
"type": "string"
},
"administrator": {
"type": "boolean"
},
"enabled": {
"type": "boolean"
},
"failureCode": {
"type": [
"null",
"string"
]
},
"finding": {
"type": "string"
},
"hibpAvailable": {
"type": "boolean"
},
"hibpOccurrences": {
"format": "int64",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"null",
"integer",
"string"
]
},
"lastLogonSource": {
"type": [
"null",
"string"
]
},
"lastLogonUtc": {
"format": "date-time",
"type": [
"null",
"string"
]
},
"lastPasswordSetUtc": {
"format": "date-time",
"type": [
"null",
"string"
]
},
"password": {
"type": [
"null",
"string"
]
},
"state": {
"type": "string"
}
},
"type": "object"
},
"type": "array"
},
"inactiveAccounts": {
"items": {
"properties": {
"account": {
"type": "string"
},
"lastLogonSource": {
"type": "string"
},
"lastLogonUtc": {
"format": "date-time",
"type": "string"
}
},
"required": [
"account",
"lastLogonUtc",
"lastLogonSource"
],
"type": "object"
},
"type": "array"
},
"inactiveAccountsCutoffUtc": {
"format": "date-time",
"type": [
"null",
"string"
]
},
"inactiveAccountsState": {
"type": [
"null",
"string"
]
},
"inactiveUnknownDates": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"isDomainController": {
"type": "boolean"
},
"isServer": {
"type": "boolean"
},
"machineName": {
"type": "string"
},
"moreAccounts": {
"type": "boolean"
},
"noKnownMatch": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"state": {
"type": "string"
},
"summaryEmailSent": {
"type": [
"null",
"boolean"
]
},
"unavailable": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
},
"workers": {
"format": "int32",
"pattern": "^-?(?:0|[1-9]\\d*)$",
"type": [
"integer",
"string"
]
}
},
"type": "object"
}
]
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"502": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditReport"
}
}
},
"description": "Bad Gateway"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a password audit",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}GETΛίστα χρονοδιαγραμμάτων ελέγχου κωδικού πρόσβασης/v1/security/password-audit-schedules
Διαβάστε τα επαναλαμβανόμενα προγράμματα ελέγχου κωδικών πρόσβασης στο επιτρεπόμενο πεδίο εφαρμογής σας.
GET /v1/security/password-audit-schedules ↗mcp.cap.PasswordAudit
Παράμετροι
companyId· Ερώτημα · προαιρετικό- Αναγνωριστικό εταιρείας. Μια παράμετρος ερωτήματος περιορίζει τα αποτελέσματα σε αυτήν την εταιρεία. δεν επεκτείνει ποτέ το εύρος διαπιστευτηρίων.
deviceId· Ερώτημα · προαιρετικό- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/security/password-audit-schedules' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read recurring password-audit schedules in your permitted scope.",
"operationId": "get_v1_security_password_audit_schedules",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "query",
"name": "deviceId",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/PasswordAuditScheduleView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List password-audit schedules",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}POSTΑποθηκεύστε ένα πρόγραμμα ελέγχου κωδικού πρόσβασης/v1/security/password-audit-schedules
Δημιουργήστε ή ενημερώστε ένα επαναλαμβανόμενο πρόγραμμα ελέγχου κωδικού πρόσβασης με τις ρυθμίσεις στόχου και χρονισμού.
POST /v1/security/password-audit-schedules ↗mcp.cap.PasswordAudit
Παράμετροι
Δεν υπάρχουν παράμετροι διαδρομής, ερωτήματος ή κεφαλίδας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"deviceId": "<UUID>",
"everyDays": 1,
"id": "<UUID>",
"selection": {
"administratorsOnly": true,
"domainAccounts": true,
"includeDisabled": false,
"includeInactiveAccounts": false,
"localAccounts": true,
"serversOnly": false
},
"startAtUtc": "<UTC date and time>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/security/password-audit-schedules' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Create or update a recurring password-audit schedule with its target and timing settings.",
"operationId": "post_v1_security_password_audit_schedules",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditScheduleInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PasswordAuditScheduleView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save a password-audit schedule",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}DELETEΔιαγράψτε ένα πρόγραμμα ελέγχου κωδικού πρόσβασης/v1/security/password-audit-schedules/{id}
Καταργήστε ένα επαναλαμβανόμενο πρόγραμμα για να σταματήσετε τους μελλοντικούς προγραμματισμένους ελέγχους.
DELETE /v1/security/password-audit-schedules/{id} ↗mcp.cap.PasswordAudit
Παράμετροι
id· Διαδρομή · Απαιτείται- Το αναγνωριστικό επιστράφηκε από την αντίστοιχη λίστα πόρων ή το αποτέλεσμα δημιουργίας.
expectedRevision· Ερώτημα · Απαιτείται- Τρέχουσα αναθεώρηση χρονοδιαγράμματος από την τελευταία ανάγνωση. Μια μπαγιάτικη αναθεώρηση αποτρέπει τη διαγραφή ενός αλλαγμένου χρονοδιαγράμματος.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method DELETE `
-Uri 'https://api.remotegymp.com/v1/security/password-audit-schedules/<id>?expectedRevision=<expectedRevision>' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Remove a recurring schedule to stop future scheduled checks.",
"operationId": "delete_v1_security_password_audit_schedules_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Current schedule revision from the last read. A stale revision prevents deletion of a changed schedule.",
"in": "query",
"name": "expectedRevision",
"required": true,
"schema": {
"format": "int64",
"type": "integer"
}
}
],
"responses": {
"204": {
"description": "No Content"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Delete a password-audit schedule",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}GETΕλέγξτε τους στόχους ελέγχου κωδικού πρόσβασης/v1/security/password-audits/targets
Ελέγξτε την καταλληλότητα του στόχου πριν ζητήσετε έλεγχο κωδικού πρόσβασης.
GET /v1/security/password-audits/targets ↗mcp.cap.PasswordAudit
Παράμετροι
companyId· Ερώτημα · προαιρετικό- Αναγνωριστικό εταιρείας. Μια παράμετρος ερωτήματος περιορίζει τα αποτελέσματα σε αυτήν την εταιρεία. δεν επεκτείνει ποτέ το εύρος διαπιστευτηρίων.
deviceId· Ερώτημα · προαιρετικό- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/security/password-audits/targets' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Inspect target eligibility before requesting a password audit.",
"operationId": "get_v1_security_password_audits_targets",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "query",
"name": "deviceId",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/PasswordAuditTarget"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check password-audit targets",
"tags": [
"Security"
],
"x-required-capabilities": [
"mcp.cap.PasswordAudit"
]
}Αυτοματισμός72
PUTΑποθήκευση δρομολόγησης ειδοποιήσεων/v1/automation/alert-routing
Απαιτεί FullAccess και τρέχουσα εξουσία ιδιοκτήτη. Δώστε ένα κλειδί idempotency, χρησιμοποιήστε ξανά το πανομοιότυπο αίτημα after αβεβαιότητα και επιθεωρήστε την απόδειξη λειτουργίας.
PUT /v1/automation/alert-routing ↗mcp.cap.AutomationManage + mcp.cap.AlertWrite
Σχήματα (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
Παράμετροι
Δεν υπάρχουν παράμετροι διαδρομής, ερωτήματος ή κεφαλίδας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_alert_routing",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AlertWrite"
]
}POSTΕπικύρωση δρομολόγησης ειδοποιήσεων/v1/automation/alert-routing/validate
Διαβάστε τα τρέχοντα αποδεικτικά στοιχεία. Τα στοιχεία που λείπουν είναι άγνωστα. Δεν έχει ξεκινήσει καμία ενέργεια τελικού σημείου ή φόρτιση AI.
POST /v1/automation/alert-routing/validate ↗mcp.cap.AutomationRead
Σχήματα (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
Παράμετροι
Δεν υπάρχουν παράμετροι διαδρομής, ερωτήματος ή κεφαλίδας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing/validate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_alert_routing_validate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationValidation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Validate alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTΑναγνωρίστε μια ειδοποίηση οθόνης/v1/automation/alerts/{id}/acknowledge
Επιβεβαιώστε μια ειδοποίηση μέσω της υπηρεσίας αυτοματισμού. Στείλτε το idempotencyKey στο σώμα του αιτήματος και ακολουθήστε την επιστρεφόμενη απόδειξη λειτουργίας. Δεν διορθώνει το σφάλμα.
POST /v1/automation/alerts/{id}/acknowledge ↗mcp.cap.AutomationManage
Παράμετροι
id· Διαδρομή · Απαιτείται- Το αναγνωριστικό επιστράφηκε από την αντίστοιχη λίστα πόρων ή το αποτέλεσμα δημιουργίας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alerts/<id>/acknowledge' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Acknowledge an alert through the automation service. Send idempotencyKey in the request body and follow the returned operation receipt. It does not fix the fault.",
"operationId": "post_v1_automation_alerts_id_acknowledge",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Acknowledge a monitor alert",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}GETΔρομολόγηση ειδοποιήσεων λίστας/v1/automation/companies/{companyId}/alert-routing
Διαβάστε τα τρέχοντα αποδεικτικά στοιχεία. Τα στοιχεία που λείπουν είναι άγνωστα. Δεν έχει ξεκινήσει καμία ενέργεια τελικού σημείου ή φόρτιση AI.
GET /v1/automation/companies/{companyId}/alert-routing ↗mcp.cap.AutomationRead
Σχήματα (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
Παράμετροι
companyId· Διαδρομή · Απαιτείται- Αναγνωριστικό εταιρείας. Μια παράμετρος ερωτήματος περιορίζει τα αποτελέσματα σε αυτήν την εταιρεία. δεν επεκτείνει ποτέ το εύρος διαπιστευτηρίων.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/alert-routing' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_alert_routing",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTΑποθήκευση εξαιρέσεων ενημερώσεων κώδικα/v1/automation/companies/{companyId}/patch-exclusions
Απαιτεί FullAccess και τρέχουσα εξουσία ιδιοκτήτη. Δώστε ένα κλειδί idempotency, χρησιμοποιήστε ξανά το πανομοιότυπο αίτημα after αβεβαιότητα και επιθεωρήστε την απόδειξη λειτουργίας.
PUT /v1/automation/companies/{companyId}/patch-exclusions ↗mcp.cap.PatchingManage + mcp.cap.PatchingExecute
Παράμετροι
companyId· Διαδρομή · Απαιτείται- Αναγνωριστικό εταιρείας. Μια παράμετρος ερωτήματος περιορίζει τα αποτελέσματα σε αυτήν την εταιρεία. δεν επεκτείνει ποτέ το εύρος διαπιστευτηρίων.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/patch-exclusions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_companies_companyId_patch_exclusions",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save patch exclusions",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingManage",
"mcp.cap.PatchingExecute"
]
}GETΕτικέτες λίστας/v1/automation/companies/{companyId}/tags
Διαβάστε τα τρέχοντα αποδεικτικά στοιχεία. Τα στοιχεία που λείπουν είναι άγνωστα. Δεν έχει ξεκινήσει καμία ενέργεια τελικού σημείου ή φόρτιση AI.
GET /v1/automation/companies/{companyId}/tags ↗mcp.cap.AutomationRead
Παράμετροι
companyId· Διαδρομή · Απαιτείται- Αναγνωριστικό εταιρείας. Μια παράμετρος ερωτήματος περιορίζει τα αποτελέσματα σε αυτήν την εταιρεία. δεν επεκτείνει ποτέ το εύρος διαπιστευτηρίων.
after· Ερώτημα · προαιρετικό- Θέση συνέχειας από την προηγούμενη απάντηση. Παράλειψη για την πρώτη σελίδα. κρατήστε τα ίδια φίλτρα όταν συνεχίζετε.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/tags' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_tags",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationTagPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETΛίστα πολιτικών ρύθμισης παραμέτρων/v1/automation/configuration-policies
Διαβάστε τα τρέχοντα αποδεικτικά στοιχεία. Τα στοιχεία που λείπουν είναι άγνωστα. Δεν έχει ξεκινήσει καμία ενέργεια τελικού σημείου ή φόρτιση AI.
GET /v1/automation/configuration-policies ↗mcp.cap.AutomationRead
Σχήματα (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationState
0 = Draft 1 = Enabled 2 = Paused 3 = Archived
Παράμετροι
Δεν υπάρχουν παράμετροι διαδρομής, ερωτήματος ή κεφαλίδας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_configuration_policies",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/ConfigurationBaselineListItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List configuration policies",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTΔημιουργία πολιτικής ρύθμισης παραμέτρων/v1/automation/configuration-policies
Απαιτεί FullAccess και τρέχουσα εξουσία ιδιοκτήτη. Δώστε ένα κλειδί idempotency, χρησιμοποιήστε ξανά το πανομοιότυπο αίτημα after αβεβαιότητα και επιθεωρήστε την απόδειξη λειτουργίας.
POST /v1/automation/configuration-policies ↗mcp.cap.AutomationManage + mcp.cap.SettingsManage
Σχήματα (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Παράμετροι
Δεν υπάρχουν παράμετροι διαδρομής, ερωτήματος ή κεφαλίδας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_configuration_policies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.SettingsManage"
]
}POSTΠολιτική ρύθμισης παραμέτρων προεπισκόπησης/v1/automation/configuration-policies/preview
Διαβάστε τα τρέχοντα αποδεικτικά στοιχεία. Τα στοιχεία που λείπουν είναι άγνωστα. Δεν έχει ξεκινήσει καμία ενέργεια τελικού σημείου ή φόρτιση AI.
POST /v1/automation/configuration-policies/preview ↗mcp.cap.AutomationRead + mcp.cap.SecurityRead
Σχήματα (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Παράμετροι
Δεν υπάρχουν παράμετροι διαδρομής, ερωτήματος ή κεφαλίδας.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies/preview' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_configuration_policies_preview",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationSimpleScopePreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead",
"mcp.cap.SecurityRead"
]
}POSTΕγκαταστήστε Windows ενημερωμένη έκδοση κώδικα/v1/automation/devices/{deviceId}/patch-install
Απαιτεί FullAccess και τρέχουσα εξουσία ιδιοκτήτη. Δώστε ένα κλειδί idempotency, χρησιμοποιήστε ξανά το πανομοιότυπο αίτημα after αβεβαιότητα και επιθεωρήστε την απόδειξη λειτουργίας.
POST /v1/automation/devices/{deviceId}/patch-install ↗mcp.cap.PatchingExecute
Παράμετροι
deviceId· Διαδρομή · Απαιτείται- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"revisionNumber": 1,
"updateId": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/patch-install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_patch_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfPatchUpdateIdentity"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install Windows patch",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETΛήψη ετικετών συσκευής/v1/automation/devices/{deviceId}/tags
Διαβάστε τα τρέχοντα αποδεικτικά στοιχεία. Τα στοιχεία που λείπουν είναι άγνωστα. Δεν έχει ξεκινήσει καμία ενέργεια τελικού σημείου ή φόρτιση AI.
GET /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationRead
Παράμετροι
deviceId· Διαδρομή · Απαιτείται- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headersΣχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/IntegrationTagView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTΕκχώρηση ετικετών συσκευής/v1/automation/devices/{deviceId}/tags
Απαιτεί FullAccess και τρέχουσα εξουσία ιδιοκτήτη. Δώστε ένα κλειδί idempotency, χρησιμοποιήστε ξανά το πανομοιότυπο αίτημα after αβεβαιότητα και επιθεωρήστε την απόδειξη λειτουργίας.
PUT /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationManage
Παράμετροι
deviceId· Διαδρομή · Απαιτείται- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Assign device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}POSTΕπαναφορά Windows ενημέρωση/v1/automation/devices/{deviceId}/update-reset
Απαιτεί FullAccess και τρέχουσα εξουσία ιδιοκτήτη. Δώστε ένα κλειδί idempotency, χρησιμοποιήστε ξανά το πανομοιότυπο αίτημα after αβεβαιότητα και επιθεωρήστε την απόδειξη λειτουργίας.
POST /v1/automation/devices/{deviceId}/update-reset ↗mcp.cap.PatchingExecute
Παράμετροι
deviceId· Διαδρομή · Απαιτείται- Το αναγνωριστικό συσκευής επιστρέφεται από την αντίστοιχη λίστα συσκευών. Οι διαχειριζόμενοι πράκτορες και οι συσκευές δικτύου που ανακαλύφθηκαν έχουν διαφορετικά αναγνωριστικά.
Παράδειγμα αιτήματος
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/update-reset' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Σχήμα αιτήματος και απόκρισης (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_update_reset",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
[...]
